<?php
try
{
 // --- connexion de la base de données ---
 $bdd = new PDO('mysql:host=localhost;dbname=CoursPHP','root','mot_de_passe');
 // suite des requêtes sur la base et les tables
 echo "La base est connectée".PHP_EOL;
 $bdd->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
 $requete_sql = 'select * from truc';
 $requete_preparee = $bdd->prepare($requete_sql);
 $requete_preparee->execute();
 echo "La requête préparée a fonctionné".PHP_EOL;
}
catch(Exception $e)
{
 // --- on affiche un message d'erreur ---
 echo 'Problème Accès à la base de données'.PHP_EOL;
 echo 'Message : '.$e->getMessage().PHP_EOL;
 echo 'Code : '.$e->getCode().PHP_EOL;
 echo "--> errorInfo : e <---".PHP_EOL;
 print_r($e->errorInfo);
 echo "--> PDO::errorInfo : bdd <---".PHP_EOL;
 print_r($bdd->errorInfo());
 echo "--> PDOStatement::errorInfo : table <---".PHP_EOL;
 print_r($requete_preparee->errorInfo());
}
?>
